---
title: "FINN API: Eiendom Search | Perceptlayer"
description: "Eiendom Search from FINN as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/finn/eiendom-search
---

[APIs](https://perceptlayer.com/apis) / [FINN](https://perceptlayer.com/apis/finn) / Eiendom Search

# FINN: Eiendom Search

Eiendom Search from FINN as JSON. 1 credit per successful call.

GET `/v1/finn/eiendom-search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `sub` | string | Optional | homes, lettings, newbuildings, plots, leisuresale, leisureplots, abroad |
| `page` | integer | Optional | Any |
| `q` | string | Optional | Up to 200 characters |
| `sort` | string | Optional | RELEVANCE, PUBLISHED\_DESC, PRICE\_ASC, PRICE\_DESC, PRICE\_ASKING\_ASC, PRICE\_ASKING\_DESC, PRICE\_SQM\_ASC, PRICE\_SQM\_DESC, AREA\_PROM\_ASC, AREA\_PROM\_DESC |
| `location` | string | Optional | Any |
| `price_from` | integer | Optional | Any |
| `price_to` | integer | Optional | Any |
| `area_from` | integer | Optional | Any |
| `area_to` | integer | Optional | Any |
| `plot_area_from` | integer | Optional | Any |
| `plot_area_to` | integer | Optional | Any |
| `construction_year_from` | integer | Optional | Any |
| `construction_year_to` | integer | Optional | Any |
| `min_bedrooms` | integer | Optional | Any |
| `property_type` | integer | Optional | 1, 2, 3, 4, 6, 9, 11, 18, 20 |
| `ownership_type` | integer | Optional | 1, 2, 3, 4, 255 |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/finn/eiendom-search?sub=homes&page=2&sort=PRICE_ASC&location=0.20061&price_from=3000000&price_to=6000000" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/finn?try=eiendom-search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
